about summary refs log tree commit diff stats
path: root/config/ksh/kshrc
diff options
context:
space:
mode:
authorensa <psii@riseup.net>2020-05-30 02:01:43 -0700
committerensa <psii@riseup.net>2020-05-30 02:27:02 -0700
commit310c76b161e680a698995d61b2a741a05b384fbe (patch)
tree39338035a918c2466d27f8041d3f6416830e84e1 /config/ksh/kshrc
parent7c28231047f1b9c07ce6b85366afe1dce821cc7a (diff)
downloadcfg-310c76b161e680a698995d61b2a741a05b384fbe.tar.gz
new functionality, themes, man page
bin/
	bar.sh: pipes spoon into dzen2
	lh: added gemini/gopher handling with bombadillo
	    shortened (no loss of functionality)
	opener: shortened (no loss of functionality)
config/
	X11/xprofile: added bar.sh
	aliasrc: just read it
	color/colors.sh: color environment variables, like wal's
	cwmrc: font specified as otb
	       swapped oxbar with bar.sh
	ksh/
		completions.ksh:
			added completions for shortcut functions
		diraliases:
			redone with self-references, more complete
		functions/
			pcl: copies password for $1 to selection
			     uses clip if two arguments
			pct: copies totp for $1 to selection
			     uses clip if two arguments
			pkg_complete:
				uses cache diralias
		kshrc: added functions command
		       fixed ensuring existence of HISTFILE's dir
	nvim/init.vim: deleted, no longer used
	vis/
		themes/causalagency.lua: good colorscheme for vis
		themes/fake256.lua: scrapped
		visrc.lua: removed change-256color disable
			   added cul nu ai
	youtube-dl/
		config, config-music: fixed output dir
	zathura/zathurarc: specified cozette otb
data/
	applications/text.desktop
		now uses xterm and vis
	man/man7/user-hier.7
		based off hier(7), describes structure of ..
			home directory
Diffstat (limited to 'config/ksh/kshrc')
-rw-r--r--config/ksh/kshrc10
1 files changed, 4 insertions, 6 deletions
diff --git a/config/ksh/kshrc b/config/ksh/kshrc
index 36350d0..e81bd97 100644
--- a/config/ksh/kshrc
+++ b/config/ksh/kshrc
@@ -1,14 +1,12 @@
 #!/bin/ksh
-. $HOME/.config/shrc
+. $HOME/etc/shrc
 KSHCONFIG="$XDG_CONFIG_HOME/ksh"
-if ! echo "$PATH"|grep -q ".local/bin"; then
-  export PATH="$HOME/.local/bin:$PATH"
-fi
 FPATH=$XDG_CONFIG_HOME/ksh/functions
+alias functions="cat \$FPATH/*|grep -vF '#!/bin/ksh'"
 
 HISTFILE=$XDG_DATA_HOME/ksh/histfile
-if ! [[ -d $HISTFILE ]]; then
-	mkdir -p $HISTFILE;
+if ! [[ -d $(dirname $HISTFILE) ]]; then
+	mkdir -p $(dirname $HISTFILE);
 fi
 HISTSIZE=5000
 HISTCONTROL="ignoredups"